Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface EIVLTS

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY, SXCMTS, TS1

All Known Implementing Classes:
  EIVLTSImpl

    public interface EIVLTS

extends SXCMTS

A representation of the model object 'EIVLTS'. Note: because this type is defined as an extension of SXCM_T, all of the attributes and elements accepted for T are also accepted by this definition. However, they are NOT allowed by the normative description of this type. Unfortunately, we cannot write a general purpose schematron contraints to provide that extra validation, thus applications must be aware that instance (fragments) that pass validation with this might might still not be legal.

The following features are supported:

- `Event`
- `Offset`

See Also:
  `CDAR2Package.getEIVLTS()`

Method Summary
`EIVLEvent` | `getEvent()` Returns the value of the 'Event' containment reference.
`IVLPQ` | `getOffset()` Returns the value of the 'Offset' containment reference.
`void` | `setEvent(EIVLEvent value)` Sets the value of the '`Event`' containment reference.
`void` | `setOffset(IVLPQ value)` Sets the value of the '`Offset`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMTS
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.TS1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEvent

    EIVLEvent getEvent()

  Returns the value of the 'Event' containment reference. A code for a common (periodical) activity of daily living based on which the event related periodic interval is specified.

  Returns:
    the value of the 'Event' containment reference.
  See Also:
    `setEvent(EIVLEvent)`, `CDAR2Package.getEIVLTS_Event()`

### setEvent

    void setEvent(EIVLEvent value)

  Sets the value of the '`Event`' containment reference.

  Parameters:
    `value` - the new value of the 'Event' containment reference.
  See Also:
    `getEvent()`

### getOffset

    IVLPQ getOffset()

  Returns the value of the 'Offset' containment reference. An interval of elapsed time (duration, not absolute point in time) that marks the offsets for the beginning, width and end of the event-related periodic interval measured from the time each such event actually occurred.

  Returns:
    the value of the 'Offset' containment reference.
  See Also:
    `setOffset(IVLPQ)`, `CDAR2Package.getEIVLTS_Offset()`

### setOffset

    void setOffset(IVLPQ value)

  Sets the value of the '`Offset`' containment reference.

  Parameters:
    `value` - the new value of the 'Offset' containment reference.
  See Also:
    `getOffset()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD